Bug 113226 - SAL_DISABLE_GRAPHITE does not work
Summary: SAL_DISABLE_GRAPHITE does not work
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2017-10-18 13:47 UTC by Volga
Modified: 2018-03-06 13:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (8.80 KB, application/vnd.oasis.opendocument.text)
2017-10-25 15:57 UTC, Volga
Details
Comparison LibreOffice 5.2 and 6.0 (66.02 KB, image/png)
2018-02-28 11:38 UTC, Xisco Faulí
Details
Test file 2 (9.38 KB, application/vnd.oasis.opendocument.text)
2018-03-05 16:39 UTC, Volga
Details
Screenshot from LibreOffice 5.2 (102.75 KB, image/png)
2018-03-05 16:40 UTC, Volga
Details
Screenshot from LibreOffice 5.3 (106.43 KB, image/png)
2018-03-05 16:41 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-10-18 13:47:48 UTC
Description:
I have tried to run LibreOffice with AdvancedRun (https://www.nirsoft.net/utils/advanced_run.html), however I found the environment variable SAL_DISABLE_GRAPHITE does not work.

Steps to Reproduce:
1. Open AdvancedRun
2. Input C:\Program Files\LibreOffice 5\program\swriter.exe into Program to Run option
3. Choose "Merge the following environment variables with the system variables"
4. Input SAL_DISABLE_GRAPHITE=1 into Environment Variables
5. Click "Run"
6. Input نستعلیق‎‎‎ in Writer
7. Change font for text to "Awami Nastaliq"

Actual Results:  
The text نستعلیق‎‎‎ looks joined in Writer even if I disabled Graphite with environment variable.

Expected Results:
The environment variable SAL_DISABLE_GRAPHITE should be works as expected if it was activated.


Reproducible: Always

User Profile Reset: No

Additional Info:
版本:5.4.2.2 (x64)
Build ID:22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU 线程:4; 操作系统:Windows 6.19; UI 渲染:默认; 
区域语言:zh-CN (zh_CN); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Xisco Faulí 2017-10-25 10:54:40 UTC Comment hidden (obsolete)
Comment 2 Volga 2017-10-25 15:57:37 UTC
Created attachment 137289 [details]
Test file

OK, so you can try this file for test, alternatively, you can try to get another sample file as well as font from SIL: https://software.sil.org/awami/download/
Comment 3 Volga 2018-02-27 20:20:44 UTC
Still reproduce in:

Version: 6.0.1.1 (x64)
Build ID:60bfb1526849283ce2491346ed2aa51c465abfe6
CPU 线程:4; 操作系统:Windows 10.0; UI 渲染:默认; 
区域语言:zh-CN (zh_CN); Calc: group
Comment 4 Xisco Faulí 2018-02-28 11:38:48 UTC
Created attachment 140216 [details]
Comparison LibreOffice 5.2 and 6.0

Hi Volga,
Could you please tell in which version it used to work?
Comparing 5.2 with  SAL_DISABLE_GRAPHITE=1 and 6.0 the result seems the same
Comment 5 Volga 2018-02-28 14:40:40 UTC
(In reply to Xisco Faulí from comment #4)
> Hi Volga,
> Could you please tell in which version it used to work?
> Comparing 5.2 with  SAL_DISABLE_GRAPHITE=1 and 6.0 the result seems the same
Oh, Xisco,
Could you please test it again with Awami Nastaliq font?
Comment 6 Volga 2018-03-05 16:39:23 UTC
Created attachment 140360 [details]
Test file 2

Now I reproduced it again with Ponomar Unicode, I used this file to do it, and I can sure this bug is brought since 5.3 stage. I will show you screenshots later. But before you can reproduce, you have to get PonomarUnicode.ttf from http://www.ponomar.net/files/fonts-churchslavonic.zip

Steps to reproduce:

1. Download and install LibO 5.2.7 from https://downloadarchive.documentfoundation.org/libreoffice/old/5.2.7.2/portable/LibreOfficePortablePrevious_5.2.7_MultilingualStandard.paf.exe
2. Run LibreOfficeWriterPortable.exe with SAL_DISABLE_GRAPHITE variable enabled (thanks to AdvancedRun utility)
3. Open this attached file
4. Download and install LibO 5.3.0 from https://downloadarchive.documentfoundation.org/libreoffice/old/5.3.0.3/portable/LibreOfficePortable_5.3.0_MultilingualStandard.paf.exe
5. Run LibreOfficeWriterPortable.exe with SAL_DISABLE_GRAPHITE variable enabled
6. Open this attached file again
Comment 7 Volga 2018-03-05 16:40:47 UTC
Created attachment 140361 [details]
Screenshot from LibreOffice 5.2
Comment 8 Volga 2018-03-05 16:41:17 UTC
Created attachment 140362 [details]
Screenshot from LibreOffice 5.3
Comment 9 Khaled Hosny (inactive) 2018-03-06 01:17:51 UTC
We no longer have a way to disable Graphite support. Making such fundamental features optional is needless complexity.
Comment 10 Volga 2018-03-06 13:10:32 UTC
(In reply to Khaled Hosny from comment #9)
> We no longer have a way to disable Graphite support. Making such fundamental
> features optional is needless complexity.
Thank you, I understand. BTW I hope bug 66597 can ge fixed soon.